/*
 * Class INDEXABLE [BOOLEAN, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_379 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_379 [] = {0xFF01,237,378,191,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_379 [] = {0xFF01,378,191,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_379 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_379 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_379 [] = {0xFF01,378,191,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_379 [] = {0xFF01,378,191,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_379 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_379 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_379 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_379 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_379 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_379 [] = {378,191,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_379 [] = {0xFF01,378,191,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_379 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_379 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_379 [] = {0xFF01,371,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_379 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_379 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_379 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_379 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_379 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_22_379 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_379[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_379), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_379), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_379), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_379), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_379), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_379), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_379), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_379), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_379), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_379), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_379), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_379), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_379), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_379), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_379), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_379), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_379), 3370, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_379), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_379), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_379), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_379), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_379), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_379), -1, 0xFFFFFFFF},
};
void Init379(void)
{
	IDSC(desc_379, 0, 378);
	IDSC(desc_379 + 1, 1, 378);
	IDSC(desc_379 + 32, 77, 378);
	IDSC(desc_379 + 41, 282, 378);
	IDSC(desc_379 + 50, 99, 378);
	IDSC(desc_379 + 52, 187, 378);
	IDSC(desc_379 + 58, 256, 378);
	IDSC(desc_379 + 61, 229, 378);
	IDSC(desc_379 + 62, 172, 378);
}


#ifdef __cplusplus
}
#endif
